Subject: Stack smashing detected after first guix pull on fresh Ubuntu 22.04 guix install

From: "Andrews, Kyle (KC)" <[email-masked]>
Date: Fri, 16 Dec 2022 17:17:42 +0000

My system administrator just installed guix for me thanks to it being so easy on Ubuntu.

To show it off, I wanted to make a quick demonstration to a colleague on how it makes it easy to create a reproducible python environment using `guix shell`. That command didn't seem to exist on the version of guix available from ubuntu (1.3.0). Not anticipating any problems, I thought I just needed to run `guix pull`.

#+BEGIN_QUOTE
me@ubuntu:~$ guix pull
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Authenticating channel 'guix', commits 9edb3f6 to 8548ba5 (45,920 new commits)...
Building from this channel:
...
#+END_QUOTE

That errored out for me at the "computing derivation" stage the first time I ran it. 

#+BEGIN_QUOTE
./guix/store.scm:1419:15: ERROR:
  1. &store-protocol-error:
      message: "`/usr/bin/guix substitute' died unexpectedly"
      status: 1
guix pull: error: You found a bug: the program '/gnu/store/4fcbgpasw95hrbz7n7pnx6wnsc174vds-compute-guix-derivation'
failed to compute the derivation for Guix (version: "8548ba5847417eabe14aa08fa9861f91743bd3a1"; system: "x86_64-linux";
host version: "1.3.0"; pull-version: 1).
Please report the COMPLETE output above by email to <[email-masked]>.
#+END_QUOTE

Thankfully, running `guix pull` again immediately afterwards worked. This left me with the following familiar output.

#+BEGIN_QUOTE
building profile with 1 package...
hint: Consider setting the necessary environment variables by running:

     GUIX_PROFILE="/home/u548962/.config/guix/current"
     . "$GUIX_PROFILE/etc/profile"

Alternately, see `guix package --search-paths -p "/home/u548962/.config/guix/current"'.

hint: After setting `PATH', run `hash guix' to make sure your shell refers to `/home/u548962/.config/guix/current/bin/guix'.
#+END_QOUTE

 Being that this is a foreign distro, I thought I needed to run the hint lines to get the updated guix executable in my current terminal.

Instead, now I see:

#+BEGIN_QUOTE
me@ubuntu:~$ GUIX_PROFILE="/home/me/.config/guix/current"
me@ubuntu:~$ . "$GUIX_PROFILE/etc/profile"
me@ubuntu:~$ hash guix
me@ubuntu:~$ guix shell --help
*** stack smashing detected ***: terminated
Aborted (core dumped)
me@ubuntu:~$ guix --help
*** stack smashing detected ***: terminated
Aborted (core dumped)
me@ubuntu:~$ guix
*** stack smashing detected ***: terminated
Aborted (core dumped)
#+END_QUOTE

I was hopeful, but now the guix command does nothing at all.

General Business